com.holonplatform.core.i18n

## Interface Localization.Builder

- Enclosing interface:
    Localization

      public static interface Localization.Builder

  Builder to create `Localization` instances

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Localization` | `build()` Build `Localization` instance
    `Localization.Builder` | `defaultDateTemporalFormat(TemporalFormat defaultDateTemporalFormat)` Set `TemporalFormat` to use with dates when `TemporalFormat.DEFAULT` is specified
    `Localization.Builder` | `defaultDecimalPositions(int defaultDecimalPositions)` Set default decimal positions for number formats
    `Localization.Builder` | `defaultTimeTemporalFormat(TemporalFormat defaultTimeTemporalFormat)` Set `TemporalFormat` to use with times when `TemporalFormat.DEFAULT` is specified
    `Localization.Builder` | `parent(Localization parent)` Set parent Localization

- - ### Method Detail

    - #### parent

          Localization.Builder parent(Localization parent)

      Set parent Localization
      Parameters:
        `parent` - Parent Localization
      Returns:
        this

    - #### defaultDecimalPositions

          Localization.Builder defaultDecimalPositions(int defaultDecimalPositions)

      Set default decimal positions for number formats
      Parameters:
        `defaultDecimalPositions` - Default decimal positions
      Returns:
        this

    - #### defaultDateTemporalFormat

          Localization.Builder defaultDateTemporalFormat(TemporalFormat defaultDateTemporalFormat)

      Set `TemporalFormat` to use with dates when `TemporalFormat.DEFAULT` is specified
      Parameters:
        `defaultDateTemporalFormat` - Default dates TemporalFormat
      Returns:
        this

    - #### defaultTimeTemporalFormat

          Localization.Builder defaultTimeTemporalFormat(TemporalFormat defaultTimeTemporalFormat)

      Set `TemporalFormat` to use with times when `TemporalFormat.DEFAULT` is specified
      Parameters:
        `defaultTimeTemporalFormat` - Default times TemporalFormat
      Returns:
        this

    - #### build

          Localization build()

      Build `Localization` instance
      Returns:
        Localization instance

Copyright © 2017 The Holon Platform. All rights reserved.